POST V1/BudgetAndForecasting.{ext}/CreateBudget

Create Budget

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.BudgetAndForecasting.Entities.CreateBudget
NameDescriptionTypeAdditional information
BudgetName

No description available

string

None.

BudgetInventory

No description available

string

None.

BudgetPeriod

No description available

string

None.

BudgetType

No description available

string

None.

BaseYear

No description available

string

None.

ForecastRate

No description available

string

None.

ForecastConsumption

No description available

string

None.

UtilitiesList

No description available

Collection of EMS.BudgetAndForecasting.Entities.Utilities

None.

BudgetModel

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "budgetName": "sample string 1",
  "budgetInventory": "sample string 2",
  "budgetPeriod": "sample string 3",
  "budgetType": "sample string 4",
  "baseYear": "sample string 5",
  "forecastRate": "sample string 6",
  "forecastConsumption": "sample string 7",
  "utilitiesList": [
    {
      "utility": "sample string 1"
    },
    {
      "utility": "sample string 1"
    }
  ],
  "budgetModel": "sample string 8"
}

application/xml, text/xml

Sample:
<CreateBudget xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.BudgetAndForecasting.Entities">
  <BaseYear>sample string 5</BaseYear>
  <BudgetInventory>sample string 2</BudgetInventory>
  <BudgetModel>sample string 8</BudgetModel>
  <BudgetName>sample string 1</BudgetName>
  <BudgetPeriod>sample string 3</BudgetPeriod>
  <BudgetType>sample string 4</BudgetType>
  <ForecastConsumption>sample string 7</ForecastConsumption>
  <ForecastRate>sample string 6</ForecastRate>
  <UtilitiesList>
    <Utilities>
      <Utility>sample string 1</Utility>
    </Utilities>
    <Utilities>
      <Utility>sample string 1</Utility>
    </Utilities>
  </UtilitiesList>
</CreateBudget>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.